Bug 1713582 (CVE-2019-12293) - CVE-2019-12293 poppler: heap-based buffer over-read in JPXStream::init in JPEG2000Stream.cc
Summary: CVE-2019-12293 poppler: heap-based buffer over-read in JPXStream::init in JPE...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-12293
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1723504 1723505 1713585 1740612
Blocks: 1713586
TreeView+ depends on / blocked
 
Reported: 2019-05-24 07:41 UTC by Marian Rehak
Modified: 2019-09-29 15:14 UTC (History)
11 users (show)

Fixed In Version: poppler 0.77.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 12:46:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2713 None None None 2019-09-11 09:33:32 UTC

Description Marian Rehak 2019-05-24 07:41:46 UTC
An issue was discovered in Poppler 0.76.1. There is a heap-based buffer over-read in the function JPXStream::init in JPEG2000Stream.cc.

Upstream issue:
https://gitlab.freedesktop.org/poppler/poppler/issues/768

Comment 1 Marian Rehak 2019-05-24 07:42:00 UTC
Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1713585]

Comment 4 Riccardo Schirone 2019-06-24 16:51:56 UTC
It is possible to read and write beyond the limits of a buffer in the JPXStream::init() function in JPEG2000Stream.cc file, because the number of pixels in the image may not correspond to the width * height of the image. The patch checks that the number of pixels (priv->npixels) and the width * height values match.

Comment 6 errata-xmlrpc 2019-09-11 09:33:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2713 https://access.redhat.com/errata/RHSA-2019:2713

Comment 7 Product Security DevOps Team 2019-09-12 12:46:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12293


Note You need to log in before you can comment on or make changes to this bug.